#!/usr/bin/awk

# Generate the opening xml tag for an xunit file.
# Note that the @tests attribute is overstated by the number of @skipped tests
# to maintain bug-for-bug compatibility with upstream fstests behavior.

BEGIN {
	printf("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
}
{
	if ($2 ~ /pass/)
		pass++
	else if ($2 ~ /notrun/ || $2 ~ /list/)
		skip++
	else if ($2 ~ /fail/)
		fail++
	time += $3;
}
END{
	printf("<testsuite name=\"xfstests\" failures=\"%d\" skipped=\"%d\" tests=\"%d\" time=\"%d\"  hostname=\"%s\" timestamp=\"%s\"  >\n", fail, skip, NR + skip, time, hostname, timestamp);
}
